> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Competitor Seo Keywords

> A competitor's organic keywords from its latest SEO snapshot.



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/dashboards/competitor-seo/keywords
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/dashboards/competitor-seo/keywords:
    get:
      tags:
        - Dashboards
        - Dashboards
      summary: Get Competitor Seo Keywords
      description: A competitor's organic keywords from its latest SEO snapshot.
      operationId: >-
        get_competitor_seo_keywords_api_v1_brands__brand_id__dashboards_competitor_seo_keywords_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: competitor
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            description: competitor domain
            title: Competitor
          description: competitor domain
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompetitorSeoKeywordsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CompetitorSeoKeywordsResponse:
      properties:
        competitor_domain:
          type: string
          title: Competitor Domain
        keywords:
          items:
            $ref: '#/components/schemas/SeoKeywordRow'
          type: array
          title: Keywords
        captured_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Captured At
        estimate_notice:
          type: string
          title: Estimate Notice
          default: >-
            Estimated — modelled from DataForSEO organic search data. Not actual
            competitor analytics.
      type: object
      required:
        - competitor_domain
        - keywords
      title: CompetitorSeoKeywordsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SeoKeywordRow:
      properties:
        keyword:
          type: string
          title: Keyword
        position:
          anyOf:
            - type: integer
            - type: 'null'
          title: Position
        search_volume:
          anyOf:
            - type: integer
            - type: 'null'
          title: Search Volume
        keyword_difficulty:
          anyOf:
            - type: number
            - type: 'null'
          title: Keyword Difficulty
        etv:
          anyOf:
            - type: number
            - type: 'null'
          title: Etv
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
      type: object
      required:
        - keyword
      title: SeoKeywordRow
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````